<script>
	export default {
		created() {
			// #ifdef APP-PLUS
			plus.navigator.closeSplashscreen();


			// #endif  
		},
		// onLaunch: function() {
		// 	uni.removeStorageSync('userInfo');
		// 	const updateManager = uni.getUpdateManager(); //本API返回全局唯一的版本更新管理器对象： updateManager，用于管理小程序更新。
		// 	console.log('---------------------');
		// 	console.log(updateManager);
		// 	updateManager.onCheckForUpdate((res) => { //当向小程序后台请求完新版本信息，进行回调方法
		// 		if (res.hasUpdate) {
		// 			updateManager.onUpdateReady((res) => { //当新版本下载完成，会进行回调
		// 				uni.showModal({
		// 					title: '更新提示',
		// 					content: '新版本已经准备好，是否重启应用？',
		// 					success(res) {
		// 						if (res.confirm) {
		// 							// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
		// 							updateManager.applyUpdate();
		// 						}
		// 					}
		// 				});
		// 			});
		// 			updateManager.onUpdateFailed((res) => {
		// 				// 新的版本下载失败
		// 				uni.showModal({
		// 					title: '更新提示',
		// 					content: '检查到有新版本，但下载失败，请检查网络设置',
		// 					success(res) {
		// 						if (res.confirm) {
		// 							// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
		// 							updateManager.applyUpdate();
		// 						}
		// 					}
		// 				});
		// 			});
		// 		}
		// 	})

		// 	// #ifdef APP-PLUS
		// 	let userInfo = uni.getStorageSync('userInfo') || '';
		// 	console.log("看看缓存",uni.getStorageInfoSync())
		// 	console.log("看看缓存token",uni.getStorageSync('token'))
		// 	console.log("看看缓存userInfo",uni.getStorageSync('userInfo'))
		// 	if(userInfo.id){
		// 		uni.getStorage({
		// 			key:"token",
		// 			success: (res) => {
		// 				this.globalData.token = res.token
		// 			},
		// 			fail: (res) => {
		// 				console.log("获取token时出错",res)
		// 			}
		// 		})
		// 		uni.getStorage({
		// 			key: 'userInfo',
		// 			success: (res) => { 
		// 				// this.login(res.data)
		// 				this.globalData.userInfo = res.userInfo
		// 				uni.redirectTo({
		// 					url:"/pages/speakingPage/speakingPage",
		// 					fail: (res) => {
		// 						console.log("页面跳转失败",res)
		// 					}
		// 				})
		// 			},
		// 			fail: (res) => {
		// 				console.log("获取userInfo时出错",res)
		// 			}
		// 		})

		// 	}else{
		// 		uni.redirectTo({
		// 			url:"/pages/login/login",
		// 			fail:function(mes){
		// 				console.log(mes)
		// 			},
		// 			success:function(mes){
		// 				console.log(mes)
		// 			}
		// 		})
		// 	}
		// 	// #endif
		// },
		onLaunch(options) {
			uni.setInnerAudioOption({
				obeyMuteSwitch: false
			});
			
			function autoUpdate() {
				// 获取小程序更新机制兼容 
				if (uni.canIUse('getUpdateManager')) {
					const updateManager = uni.getUpdateManager()
					// 检查是否有新版本发布
					updateManager.onCheckForUpdate(function(res) {
						if (res.hasUpdate) {
							//小程序有新版本，则静默下载新版本，做好更新准备
							updateManager.onUpdateReady(function() {
								uni.showModal({
									title: '更新提示',
									content: '新版本已经准备好，是否重启应用？',
									success: function(res) {
										if (res.confirm) {
											//新的版本已经下载好，调用 applyUpdate 应用新版本并重启
											updateManager.applyUpdate()
										} else if (res.cancel) {
											//如果需要强制更新，则给出二次弹窗，如果不需要，则这里的代码都可以删掉了
											uni.showModal({
												title: '温馨提示',
												content: '我们已经做了新的优化，请及时更新哦~',
												showCancel: false, //隐藏取消按钮，也可显示，取消会走res.cancel，然后从新开始提示
												success: function(res) {
													//第二次提示后，强制更新           
													if (res.confirm) {
														// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
														updateManager.applyUpdate()
													} else if (res.cancel) {
														//重新回到版本更新提示
														autoUpdate()
													}
												}
											})
										}
									}
								})
							})
							// 新的版本下载失败
							updateManager.onUpdateFailed(function() {
								uni.showModal({
									title: '温馨提示',
									content: '新版本已经上线，请您删除当前小程序，重新搜索打开',
								})
							})
						}
					})
				} else {
					// 提示用户在最新版本的客户端上体验
					uni.showModal({
						title: '温馨提示',
						content: '当前微信版本过低，可能无法使用该功能，请升级到最新版本后重试。'
					})
				}
			}
			autoUpdate();
			
		},

		onShow: function() {

		},
		onHide: function() {

		},
		globalData: {
			topicTypeIndex: 0,
			userInfo: {},
			token: "",
			isShow: true
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import "uview-ui/index.scss";
	@import "./common/css/iconfont.css";
	// 自定义tabar样式修改
	/deep/.u-tabbar__content__item__text{
		font-size: 20rpx !important;
		bottom: 10rpx !important;
	}
	page{
		  background-color: #f8f8f8;
	  }
</style>
